subroutine imager_tree(caller,endcall)
  use gbl_message
  use clean_default 
  use imager_interfaces, only : map_message
  !---------------------------------------------------------------------
  ! IMAGER
  !*
  !   @ private
  ! Printout debug message for callers when asked for
  !!
  !---------------------------------------------------------------------
  character(len=*), intent(in) :: caller    !! Caller name
  logical, intent(in) :: endcall            !! .TRUE. on return
  !
  if (.not.call_debug) return
  !
  if (endcall) then
    call map_message(seve%i,'CALL_TREE','Finished '//caller,6)
  else
    call map_message(seve%i,'CALL_TREE','Calling  '//caller,6)
  endif
end subroutine imager_tree
!
